PUT api/monedas/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

MonedaJoined
NameDescriptionTypeAdditional information
id

integer

None.

descr

string

None.

valor

decimal number

None.

imagePath

string

None.

udsBolsaDefault

integer

None.

udsBolsa

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "descr": "sample string 1",
  "valor": 2.0,
  "imagePath": "sample string 3",
  "udsBolsaDefault": 1,
  "udsBolsa": 1
}

application/xml, text/xml

Sample:
<MonedaJoined xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VendingAPI.Models">
  <descr>sample string 1</descr>
  <id>1</id>
  <imagePath>sample string 3</imagePath>
  <udsBolsa>1</udsBolsa>
  <udsBolsaDefault>1</udsBolsaDefault>
  <valor>2</valor>
</MonedaJoined>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MonedaJoined'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.